Subject: bug#28105: Inconsistent exit code with --files-without-match

From: Anthony Sottile <[email-masked]>
Date: Wed, 16 Aug 2017 21:17:48 -0700

On Wed, Aug 16, 2017 at 5:04 PM, Paul Eggert <[email-masked]> wrote:
> On 08/16/2017 03:04 PM, Anthony Sottile wrote:
>>
>> It was at this point that a git maintainer noticed that `git grep -L`
>> and `grep -L` disagreed in exit codes (deferring my patch until the
>> correct way forward on what `git grep`'s exit codes should be).
>>
> Thanks for the summary. Do you have a URL for the git bug report and
> maintainer response? That'd be helpful here. You do make a case that the
> exit status for grep -L should differ from what it is now.
>

I'm not sure what the "official" mirror of the mailing list is but
here's a mirror that I found that works:

- Initial bugreport about `--quiet`:
http://marc.info/?l=git&m=150281283027760&w=2
- Patch and discussion: http://marc.info/?l=git&m=150283014132406&w=2